Bug 268886 - Plasma crashed when closing Amarok and Kontact under heavy system load
Summary: Plasma crashed when closing Amarok and Kontact under heavy system load
Status: RESOLVED DUPLICATE of bug 258706
Alias: None
Product: plasma4
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-19 12:38 UTC by Marko Hänninen
Modified: 2011-04-03 14:10 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (15.57 KB, text/plain)
2011-03-23 06:57 UTC, Bruno Friedmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Hänninen 2011-03-19 12:38:38 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.1 (4.6.1) (Compiled from sources)
Qt Version: 4.7.2
Operating System: Linux 2.6.38 x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:

My system was under high load (compiling OpenOffice), so I closed Amarok and Kontact. Right after this Plasma crashed. I have seen similar crash before under high system load.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Plasma-työpöytäympäristö (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f813b84a760 (LWP 9844))]

Thread 3 (Thread 0x7f811cde8700 (LWP 9847)):
#0  0x00007f81360b7f40 in g_main_context_check (context=0x2c3d1f0, max_priority=2147483647, fds=0x2c43f40, n_fds=1) at gmain.c:2606
#1  0x00007f81360b8a97 in g_main_context_iterate (context=0x2c3d1f0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2777
#2  0x00007f81360b8ed4 in g_main_context_iteration (context=0x2c3d1f0, may_block=1) at gmain.c:2843
#3  0x00007f813a483666 in QEventDispatcherGlib::processEvents (this=0x2c424e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f813a456b92 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f813a456f7d in QEventLoop::exec (this=0x7f811cde7db0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f813a3661ad in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f813a436f38 in QInotifyFileSystemWatcherEngine::run (this=0x2d26bd0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f813a369155 in QThreadPrivate::start (arg=0x2d26bd0) at thread/qthread_unix.cpp:320
#9  0x00007f813a0d6a1a in start_thread () from /lib/libpthread.so.0
#10 0x00007f8138e8ac2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f811a4e2700 (LWP 9852)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f813172857d in WTF::TCMalloc_PageHeap::scavengerThread (this=<value optimized out>) at wtf/FastMalloc.cpp:2378
#2  0x00007f8131728679 in WTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f8131ec1bb4) at wtf/FastMalloc.cpp:1497
#3  0x00007f813a0d6a1a in start_thread () from /lib/libpthread.so.0
#4  0x00007f8138e8ac2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f813b84a760 (LWP 9844)):
[KCrash Handler]
#6  0x00007f813b1c3eaa in QString (this=0x4440075, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0x4440075, group=0, state=0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kdeui/icons/kiconeffect.cpp:169
#8  0x00007f813b1c787e in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:782
#9  0x00007f813b1cf7a4 in KIconLoader::loadIcon (this=0x40ab090, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:1226
#10 0x00007f813b1c649f in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kdeui/icons/kiconengine.cpp:93
#11 0x00007f81396a8fc5 in QIcon::pixmap (this=<value optimized out>, size=..., mode=QIcon::Normal, state=71532224) at image/qicon.cpp:676
#12 0x00007f81320d2363 in Plasma::IconWidgetPrivate::decoration (this=0x4431100, option=<value optimized out>, useHoverEffect=false, usePressedEffect=false) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/plasma/widgets/iconwidget.cpp:812
#13 0x00007f81320d45cc in Plasma::IconWidget::paint (this=0x442f140, painter=0x7fffbd8f1860, option=0x1fce1e8, widget=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/plasma/widgets/iconwidget.cpp:1128
#14 0x00007f8124171a19 in SystemTray::DBusSystemTrayWidget::paint (this=0x7fffbd8f0cb0, painter=0x4440075, option=0x0, widget=0x0) at /var/tmp/portage/kde-base/plasma-workspace-4.6.1/work/plasma-workspace-4.6.1/plasma/generic/applets/systemtray/protocols/dbussystemtray/dbussystemtraywidget.cpp:189
#15 0x00007f8139bfd35d in _q_paintItem (item=<value optimized out>, painter=0x7fffbd8f1860, option=0x1fce1e8, widget=0x0, useWindowOpacity=<value optimized out>, painterStateProtection=<value optimized out>) at graphicsview/qgraphicsscene.cpp:4314
#16 0x00007f8139bffafc in _q_paintIntoCache (pix=0x7fffbd8f1e80, item=<value optimized out>, pixmapExposed=..., itemToPixmap=<value optimized out>, renderHints=) at graphicsview/qgraphicsscene.cpp:4352
#17 0x00007f8139c17332 in QGraphicsScenePrivate::drawItemHelper (this=<value optimized out>, item=0x442f150, painter=0x7fffbd8f3eb0, option=0x1fce1e8, widget=<value optimized out>, painterStateProtection=<value optimized out>) at graphicsview/qgraphicsscene.cpp:4690
#18 0x00007f8139c1a6e3 in QGraphicsScenePrivate::draw (this=0x1fcdfc0, item=0x442f150, painter=<value optimized out>, viewTransform=<value optimized out>, transformPtr=<value optimized out>, exposedRegion=<value optimized out>, widget=0x30e5670, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4962
#19 0x00007f8139c1b302 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x442f150, painter=0x7fffbd8f3eb0, viewTransform=0x7fffbd8f3c40, exposedRegion=0x253bb70, widget=0x30e5670, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#20 0x00007f8139c1a798 in QGraphicsScenePrivate::draw (this=0x1fcdfc0, item=0x2897a60, painter=<value optimized out>, viewTransform=<value optimized out>, transformPtr=<value optimized out>, exposedRegion=<value optimized out>, widget=0x30e5670, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#21 0x00007f8139c1b302 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x2897a60, painter=0x7fffbd8f3eb0, viewTransform=0x7fffbd8f3c40, exposedRegion=0x253bb70, widget=0x30e5670, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#22 0x00007f8139c1a798 in QGraphicsScenePrivate::draw (this=0x1fcdfc0, item=0x28aba30, painter=<value optimized out>, viewTransform=<value optimized out>, transformPtr=<value optimized out>, exposedRegion=<value optimized out>, widget=0x30e5670, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#23 0x00007f8139c1b302 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x28aba30, painter=0x7fffbd8f3eb0, viewTransform=0x7fffbd8f3c40, exposedRegion=0x253bb70, widget=0x30e5670, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#24 0x00007f8139c1a798 in QGraphicsScenePrivate::draw (this=0x1fcdfc0, item=0x288be60, painter=<value optimized out>, viewTransform=<value optimized out>, transformPtr=<value optimized out>, exposedRegion=<value optimized out>, widget=0x30e5670, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#25 0x00007f8139c1b302 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x288be60, painter=0x7fffbd8f3eb0, viewTransform=0x7fffbd8f3c40, exposedRegion=0x253bb70, widget=0x30e5670, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#26 0x00007f8139c1bb34 in QGraphicsScenePrivate::drawItems (this=0x1fcdfc0, painter=0x7fffbd8f3eb0, viewTransform=0x7fffbd8f3c40, exposedRegion=0x253bb70, widget=0x30e5670) at graphicsview/qgraphicsscene.cpp:4735
#27 0x00007f8139c347e3 in QGraphicsView::paintEvent (this=<value optimized out>, event=<value optimized out>) at graphicsview/qgraphicsview.cpp:3469
#28 0x00007f813964b32d in QWidget::event (this=0x33783e0, event=0x7fffbd8f47f0) at kernel/qwidget.cpp:8405
#29 0x00007f81399eb0d6 in QFrame::event (this=0x33783e0, e=0x7fffbd8f47f0) at widgets/qframe.cpp:557
#30 0x00007f8139c31343 in QGraphicsView::viewportEvent (this=0x33783e0, event=0x7fffbd8f47f0) at graphicsview/qgraphicsview.cpp:2864
#31 0x00007f813a45764e in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x30e5670, event=0x7fffbd8f47f0) at kernel/qcoreapplication.cpp:846
#32 0x00007f81395f605c in QApplicationPrivate::notify_helper (this=0x1f93090, receiver=0x30e5670, e=0x7fffbd8f47f0) at kernel/qapplication.cpp:4458
#33 0x00007f81395fc79d in QApplication::notify (this=0x1f5cfd0, receiver=0x30e5670, e=0x7fffbd8f47f0) at kernel/qapplication.cpp:4341
#34 0x00007f813b223eb6 in KApplication::notify (this=0x1f5cfd0, receiver=0x30e5670, event=0x7fffbd8f47f0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#35 0x00007f813a457e0b in QCoreApplication::notifyInternal (this=0x1f5cfd0, receiver=0x30e5670, event=0x7fffbd8f47f0) at kernel/qcoreapplication.cpp:731
#36 0x00007f8139651c04 in sendSpontaneousEvent (this=0x32ce210, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x31b7370) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#37 QWidgetPrivate::drawWidget (this=0x32ce210, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x31b7370) at kernel/qwidget.cpp:5492
#38 0x00007f813965286e in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x31b7370) at kernel/qwidget.cpp:5699
#39 0x00007f8139651968 in QWidgetPrivate::drawWidget (this=0x253b6e0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x31b7370) at kernel/qwidget.cpp:5545
#40 0x00007f813981deef in QWidgetBackingStore::sync (this=0x31b7370) at painting/qbackingstore.cpp:1333
#41 0x00007f8139645558 in QWidgetPrivate::syncBackingStore (this=0x253b6e0) at kernel/qwidget.cpp:1842
#42 0x00007f813964b9fa in QWidget::event (this=0x33783e0, event=0x426edd0) at kernel/qwidget.cpp:8552
#43 0x00007f81399eb0d6 in QFrame::event (this=0x33783e0, e=0x426edd0) at widgets/qframe.cpp:557
#44 0x00007f8139a76b0b in QAbstractScrollArea::event (this=0x33783e0, e=0x426edd0) at widgets/qabstractscrollarea.cpp:996
#45 0x00007f812d3b2870 in PanelView::event (this=0x33783e0, event=0x426edd0) at /var/tmp/portage/kde-base/plasma-workspace-4.6.1/work/plasma-workspace-4.6.1/plasma/desktop/shell/panelview.cpp:1505
#46 0x00007f81395f608c in QApplicationPrivate::notify_helper (this=0x1f93090, receiver=0x33783e0, e=0x426edd0) at kernel/qapplication.cpp:4462
#47 0x00007f81395fc79d in QApplication::notify (this=0x1f5cfd0, receiver=0x33783e0, e=0x426edd0) at kernel/qapplication.cpp:4341
#48 0x00007f813b223eb6 in KApplication::notify (this=0x1f5cfd0, receiver=0x33783e0, event=0x426edd0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#49 0x00007f813a457e0b in QCoreApplication::notifyInternal (this=0x1f5cfd0, receiver=0x33783e0, event=0x426edd0) at kernel/qcoreapplication.cpp:731
#50 0x00007f813a45ad61 in sendEvent (receiver=0x33783e0, event_type=<value optimized out>, data=0x1ec5b00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#51 QCoreApplicationPrivate::sendPostedEvents (receiver=0x33783e0, event_type=<value optimized out>, data=0x1ec5b00) at kernel/qcoreapplication.cpp:1372
#52 0x00007f8139c19cba in dispatchPendingUpdateRequests (this=0x1fcdfc0) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:189
#53 QGraphicsScenePrivate::_q_processDirtyItems (this=0x1fcdfc0) at graphicsview/qgraphicsscene.cpp:510
#54 0x00007f8139c1a222 in QGraphicsScene::qt_metacall (this=0x1fe4930, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x31af8b0) at .moc/release-shared/moc_qgraphicsscene.cpp:130
#55 0x00007f8132012b85 in Plasma::Corona::qt_metacall (this=0x7fffbd8f0cb0, _c=71565429, _id=0, _a=0x0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1_build/plasma/corona.moc:109
#56 0x00007f812d3a0bc5 in DesktopCorona::qt_metacall (this=0x7fffbd8f0cb0, _c=71565429, _id=0, _a=0x0) at /var/tmp/portage/kde-base/plasma-workspace-4.6.1/work/plasma-workspace-4.6.1_build/plasma/desktop/shell/desktopcorona.moc:101
#57 0x00007f813a4698be in QObject::event (this=0x1fe4930, e=0x7fffbd8f0cb0) at kernel/qobject.cpp:1217
#58 0x00007f8139c154c0 in QGraphicsScene::event (this=0x1fe4930, event=0x4432150) at graphicsview/qgraphicsscene.cpp:3544
#59 0x00007f81395f608c in QApplicationPrivate::notify_helper (this=0x1f93090, receiver=0x1fe4930, e=0x4432150) at kernel/qapplication.cpp:4462
#60 0x00007f81395fc79d in QApplication::notify (this=0x1f5cfd0, receiver=0x1fe4930, e=0x4432150) at kernel/qapplication.cpp:4341
#61 0x00007f813b223eb6 in KApplication::notify (this=0x1f5cfd0, receiver=0x1fe4930, event=0x4432150) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#62 0x00007f813a457e0b in QCoreApplication::notifyInternal (this=0x1f5cfd0, receiver=0x1fe4930, event=0x4432150) at kernel/qcoreapplication.cpp:731
#63 0x00007f813a45ad61 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x1ec5b00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#64 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x1ec5b00) at kernel/qcoreapplication.cpp:1372
#65 0x00007f813a483ab3 in sendPostedEvents (s=0x1f966c0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#66 postEventSourceDispatch (s=0x1f966c0) at kernel/qeventdispatcher_glib.cpp:277
#67 0x00007f81360b4e21 in g_main_dispatch (context=0x1f95520) at gmain.c:2149
#68 g_main_context_dispatch (context=0x1f95520) at gmain.c:2702
#69 0x00007f81360b8d20 in g_main_context_iterate (context=0x1f95520, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2780
#70 0x00007f81360b8ed4 in g_main_context_iteration (context=0x1f95520, may_block=1) at gmain.c:2843
#71 0x00007f813a483613 in QEventDispatcherGlib::processEvents (this=0x1f89d90, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#72 0x00007f81396a6c5e in QGuiEventDispatcherGlib::processEvents (this=0x7fffbd8f0cb0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#73 0x00007f813a456b92 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#74 0x00007f813a456f7d in QEventLoop::exec (this=0x7fffbd8f68d0, flags=) at kernel/qeventloop.cpp:201
#75 0x00007f813a45af73 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#76 0x00007f812d3a8c39 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/kde-base/plasma-workspace-4.6.1/work/plasma-workspace-4.6.1/plasma/desktop/shell/main.cpp:118
#77 0x0000000000408028 in launch (argc=1, _name=<value optimized out>, args=<value optimized out>, cwd=<value optimized out>, envc=0, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x40b38b "0") at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kinit/kinit.cpp:734
#78 0x0000000000408c08 in handle_launcher_request (sock=8, who=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kinit/kinit.cpp:1226
#79 0x0000000000409153 in handle_requests (waitForPid=0) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kinit/kinit.cpp:1419
#80 0x0000000000409d06 in main (argc=4, argv=<value optimized out>, envp=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.6.1-r1/work/kdelibs-4.6.1/kinit/kinit.cpp:1907

This bug may be a duplicate of or related to bug 258706.

Possible duplicates by query: bug 268874, bug 268858, bug 268735, bug 268518, bug 268436.

Reported using DrKonqi
Comment 1 Bruno Friedmann 2011-03-23 06:57:23 UTC
Created attachment 58280 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

- What I was doing when the application crashed:
During a heavy update (zypper up) the system was under high load. I decide to close amarok. Then immediately the crash occurs. 
Plasma restart by itself.

-- Backtrace (Reduced):
#6  0x00007f12fec47e81 in QString (other=<optimized out>, this=0x7fff91422db0) at /usr/include/QtCore/qstring.h:728
#7  KIconEffect::fingerprint (this=0xb7, group=0, state=0) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconeffect.cpp:169
#8  0x00007f12fec49410 in KIconLoaderPrivate::makeCacheKey (this=<optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:782
#9  0x00007f12fed76ef1 in KIconLoader::loadIcon (this=0x2434280, _name=<optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconloader.cpp:1226
#10 0x00007f12fed77fb0 in KIconEngine::pixmap (this=<optimized out>, size=..., mode=<optimized out>, state=<optimized out>) at /usr/src/debug/kdelibs-4.6.1/kdeui/icons/kiconengine.cpp:93
Comment 2 Dario Andres 2011-04-03 14:10:58 UTC
[Comment from a bug triager]
This issue is being tracked at bug 258706, merging.
Thanks

*** This bug has been marked as a duplicate of bug 258706 ***